Bug 229350 - [NEW PORT] devel/py-colorful: Terminal string styling done right in Python
Summary: [NEW PORT] devel/py-colorful: Terminal string styling done right in Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://pypi.org/project/colorful/
Keywords:
Depends on:
Blocks: 229349
  Show dependency treegraph
 
Reported: 2018-06-26 16:44 UTC by Patrice Clement
Modified: 2019-06-10 14:17 UTC (History)
2 users (show)

See Also:


Attachments
py-colorful.diff (2.35 KB, patch)
2018-06-26 16:44 UTC, Patrice Clement
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrice Clement 2018-06-26 16:44:19 UTC
Created attachment 194653 [details]
py-colorful.diff

Hi

I would like to add the py-colorful Python module to the FreeBSD Ports. This module is a dependency of py-prettyprinter.

Cheers
Comment 1 Patrice Clement 2018-10-13 23:10:56 UTC
ping? :)
Comment 2 commit-hook freebsd_committer 2019-06-10 14:13:39 UTC
A commit references this bug:

Author: kai
Date: Mon Jun 10 14:12:44 UTC 2019
New revision: 503899
URL: https://svnweb.freebsd.org/changeset/ports/503899

Log:
  New port: devel/py-colorful

  Colorizes and styles the text of terminals in the right way.

  Key Features:

  * Expressive and consistent API
  * Support for different color modes (8 ANSI, 256 ANSI, true colors)
  * Support for predefined awesome styles (solarized, ...)
  * Support for custom color palettes
  * Support nesting styles
  * Support for different platforms
  * Context managers for clean color mode, color palette or style switch
  * Support len() on colored strings
  * Support color names from X11 rgb.txt
  * No dependencies

  WWW: https://pypi.org/project/colorful/

  PR:		229350
  Submitted by:	Patrice Clement <monsieurp@gentoo.org>

Changes:
  head/devel/Makefile
  head/devel/py-colorful/
  head/devel/py-colorful/Makefile
  head/devel/py-colorful/distinfo
  head/devel/py-colorful/pkg-descr
Comment 3 Kai Knoblich freebsd_committer 2019-06-10 14:17:31 UTC
Committed, thank you for your contribution! 

I did some minor fixes (= removed whitespace between '=' and the variables in Makefile) and improved the pkg-descr a bit to make it more meaningful.

Sorry about the delay!